> ## Documentation Index
> Fetch the complete documentation index at: https://docs-zap.loce.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar mensagem de video.

> Dispara vídeos hospedados em URLs públicas.

<Badge size="lg" shape="rounded" color="grblueeen" stroke color="blue">POST</Badge> /message/video

<CodeGroup>
  ```javascript Node.js theme={null}
  await zap.sendMessageVideo('my-session-id', {
    to: '5564999999999',
    videoUrl: 'https://files.loce.io/promo.mp4',
    caption: 'Confira o novo recurso!',
  });
  ```

  ```python python.py theme={null}
  zap = LoceZap(API_KEY)
  zap.send_message_sticker("session_id", "telephone_number", "stickerUrl", file_name="Contrato.pdf")
  ```

  ```curl curl theme={null}
  curl --request POST \
    --url https://apizap.loce.io/v1/message/sticker \
    --header 'Authorization: Bearer lz_xxxxxxxxxx' \
    --header 'Content-Type: application/json'
    --data '{
    "sessionId": "string",
    "phone": "string",
    "stickerUrl": "string",
    "quoteId": "string"
  }'
  ```
</CodeGroup>


## OpenAPI

````yaml POST /message/video
openapi: 3.1.0
info:
  title: Loce Zap API
  description: >-
    API REST para conectar sessões do WhatsApp e enviar mensagens de texto,
    mídia e automações via Loce Zap.
  version: 1.0.0
servers:
  - url: https://apizap.loce.io/v1
    description: Ambiente de produção
security:
  - bearerAuth: []
paths:
  /message/video:
    post:
      summary: Enviar vídeo
      description: Dispara vídeos hospedados em URLs públicas.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoMessageRequest'
      responses:
        '200':
          description: Vídeo enviado.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResponse'
components:
  schemas:
    VideoMessageRequest:
      allOf:
        - $ref: '#/components/schemas/MessageBase'
        - type: object
          required:
            - videoUrl
          properties:
            videoUrl:
              type: string
              format: uri
            caption:
              type: string
    MessageResponse:
      type: object
      properties:
        messageId:
          type: string
        sessionId:
          type: string
        phone:
          type: string
        type:
          type: string
        status:
          type: string
        quoteId:
          type: string
        createdAt:
          type: string
          format: date-time
    MessageBase:
      type: object
      required:
        - sessionId
        - phone
      properties:
        sessionId:
          type: string
          description: Sessão que enviará a mensagem.
        phone:
          type: string
          description: Destino no formato MSISDN com DDI e DDD.
        quoteId:
          type: string
          description: ID da mensagem original quando for uma resposta.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````